package thyyxxk.webserver.entity.singlepage.lottery;

import lombok.Data;

import java.util.Date;

@Data
public class LotteryUser {
    private String codeRs;
    private String name;
    private Integer won;
    private String wonName;
    private Date wonTime;

    public String getWonName() {
        switch (won) {
            case -1:
                return "未中奖";
            case 0:
                return "特等奖";
            case 1:
                return "一等奖";
            case 2:
                return "二等奖";
            case 3:
                return "三等奖";
            default:
                return "";
        }
    }
}
